package org.gcube.application.cms.commons.model.concessioni;

import org.gcube.application.cms.tests.model.TestFilters;
import org.gcube.application.cms.tests.model.TestModel;
import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class Models {

    @Test
    public void checkFilters(){
        assertTrue(TestFilters.filters.size()>0);
        TestFilters.filters.keySet().forEach(f -> {
            System.out.println(f);});
    }

    @Test
    public void checkConcessione(){
        Concessione c= TestModel.prepareConcessione(3,5);
        assertTrue(c.getPianteFineScavo().size()==3);
        assertTrue(c.getImmaginiRappresentative().size()==5);
    }
}
